Download it now!
Bug 51644 - FORMATTING: text animation suddenly not possible
Summary: FORMATTING: text animation suddenly not possible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Sidebar-Custom-Animation
  Show dependency treegraph
 
Reported: 2012-07-01 23:09 UTC by bugquestcontri
Modified: 2019-06-19 02:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2012-07-01 23:09:39 UTC
Problem description: 

Steps to reproduce:
1. Select a text frame with a bulleted list
2. Click on the text frame
3. Click Add (effect)
4. Select "Wipe" + OK
5. Open Menu "Start" select "on click"
Selection is not possible
No other menu point can be changed


Current behavior:
Clicking on the + sign for the animation and editing line by line enables wipe/left/1 outline level

Note: when I took the attached movie, this behavior was not possible. I once closed LO and restarted it. No re-start of the PC so.

Expected behavior:

Selection of the text frame
Add effect
Thereafter I expect to be able to choose start/property/speed


I actually expect that I can make the animation of a text frame already on the master page. This is a very nice feature of MS PowerPoint, which I do miss in LO.

Platform (if different from the browser): 

Lenovo Thinkpad x41 MS XP Professional SP"
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 bfoman (inactive) 2013-01-21 12:21:13 UTC
(In reply to comment #0)
> Steps to reproduce:
> 1. Select a text frame with a bulleted list
> 2. Click on the text frame
> 3. Click Add (effect)
> 4. Select "Wipe" + OK
> 5. Open Menu "Start" select "on click"
> Selection is not possible
> No other menu point can be changed
> 
> Current behavior:
> Clicking on the + sign for the animation and editing line by line enables
> wipe/left/1 outline level

Confirmed with:
LO 4.0.0.1
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Effect Start options are disabled on text 1 when group is collapsed and when expanded you need first click any of the element to enable them.

> Expected behavior:
> Selection of the text frame
> Add effect
> Thereafter I expect to be able to choose start/property/speed

Seems it is possible to set the defaults for all grouped texts by using RMB options on collapsed 1st entry.
I am not UI expert, but this seems to be unintuitive.
Comment 2 A (Andy) 2013-03-23 23:27:14 UTC
reproducible with LO 4.0.1.2 (Win7 Home, 64bit)
Comment 3 bugquestcontri 2013-03-24 11:40:53 UTC
It is also reproducible in LibO 3.6.5..2 on XP Prof /SP3
Comment 4 QA Administrators 2015-02-19 15:50:59 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-08 20:06:35 UTC
(In reply to bfoman from comment #1)
> Effect Start options are disabled on text 1 when group is collapsed and when
> expanded you need first click any of the element to enable them.

Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 Joel Madero 2015-03-11 18:21:48 UTC
Prioritizing:
*Please do not adjust the priority without consulting QA on the mailing list or in the chat room http://webchat.freenode.net/?channels=libreoffice-qa

Priorities are set per this chart: https://wiki.documentfoundation.org/File:Prioritizing_Bugs_Flowchart.jpg

Normal - can prevent high quality/professional quality work;
Medium - default seems fine here.
Comment 7 tommy27 2016-04-16 07:29:13 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:27:56 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2018-06-17 20:41:00 UTC Comment hidden (obsolete)
Comment 10 Buovjaga 2018-06-18 06:21:01 UTC
Still repro.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: fi-FI (fi_FI); Calc: group threaded

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: dc9ee533dc707cc10b99d537eaccc3ee5aa555fe
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 16th 2018
Comment 11 QA Administrators 2019-06-19 02:47:55 UTC
Dear bugquestcontri,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug